Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.metaabm
Interface SNetwork

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, IID, org.eclipse.emf.common.notify.Notifier, SAttributed, SNamed, SProjection

All Known Implementing Classes:
  SNetworkImpl

    public interface SNetwork

extends SProjection

A representation of the model object ' SNetwork'.

Author:
  Miles Parker

  The following features are supported:

  - `Directed`
See Also:
  `MetaABMPackage.getSNetwork()`

Method Summary
`boolean` | `isDirected()` Returns the value of the 'Directed' attribute.
`void` | `setDirected(boolean value)` Sets the value of the '`Directed`' attribute.

Methods inherited from interface org.metaabm.SProjection
`getOwner, setOwner`

Methods inherited from interface org.metaabm.SAttributed
`findAttribute, getAttributes, isReachable`

Methods inherited from interface org.metaabm.SNamed
`getDescription, getPluralLabel, references, setDescription, setPluralLabel`

Methods inherited from interface org.metaabm.IID
`getID, getLabel, setID, setLabel`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### isDirected

    boolean isDirected()

  Returns the value of the 'Directed' attribute.

  If the meaning of the 'Directed' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Directed' attribute.
  See Also:
    `setDirected(boolean)`, `MetaABMPackage.getSNetwork_Directed()`

### setDirected

    void setDirected(boolean value)

  Sets the value of the '`Directed`' attribute.

  Parameters:
    `value` - the new value of the 'Directed' attribute.
  See Also:
    `isDirected()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD